#include <stdlib.h>
#include <string.h>

/* User-defined functions */
extern void initialize_data(int phil_count);
extern void pickup(int id, int count);
extern void putdown(int id, int count);

/* Helper functions: time manipulation as double (for better accuracy) */
void dsleep(double sec); /* similar to sleep */
double dtime(void); /* similar to time */

#define MIN(a,b) ((a)<(b)?(a):(b))
#define MAX(a,b) ((a)>(b)?(a):(b))
